clang 8.0.0

Public Member Functions | Static Public Member Functions | Friends | List of all members
OMPGrainsizeClause Class Reference

This represents 'grainsize' clause in the '#pragma omp ...' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPGrainsizeClause:
[legend]
Collaboration diagram for OMPGrainsizeClause:
[legend]

## Public Member Functions
| OMPGrainsizeClause (Expr *Size, SourceLocation StartLoc, SourceLocation LParenLoc, SourceLocation EndLoc)
| Build 'grainsize' clause. More...
| OMPGrainsizeClause ()
| Build an empty clause. More...
void | setLParenLoc (SourceLocation Loc)
| Sets the location of '('. More...
SourceLocation | getLParenLoc () const
| Returns the location of '('. More...
Expr * | getGrainsize () const
| Return safe iteration space distance. More...
child_range | children ()

## Static Public Member Functions
static bool | classof (const OMPClause *T)

## Friends
class | OMPClauseReader

## Detailed Description

This represents 'grainsize' clause in the '#pragma omp ...' directive.

#pragma omp taskloop grainsize(4)

In this example directive '#pragma omp taskloop' has clause 'grainsize' with single expression '4'.

Definition at line 4464 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPGrainsizeClause() [1/2]

OMPGrainsizeClause::OMPGrainsizeClause | ( | Expr * | Size,
|  | SourceLocation | StartLoc,
|  | SourceLocation | LParenLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Build 'grainsize' clause.

Parameters

  Size | Expression associated with this clause.
  StartLoc | Starting location of the clause.
  EndLoc | Ending location of the clause.

Definition at line 4482 of file OpenMPClause.h.

## ◆ OMPGrainsizeClause() [2/2]

OMPGrainsizeClause::OMPGrainsizeClause | ( |  | ) |
| inline explicit

Build an empty clause.

Definition at line 4488 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children()

child_range OMPGrainsizeClause::children | ( |  | ) |
| inline

Definition at line 4500 of file OpenMPClause.h.

## ◆ classof()

static bool OMPGrainsizeClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 4502 of file OpenMPClause.h.

## ◆ getGrainsize()

Expr* OMPGrainsizeClause::getGrainsize | ( |  | ) | const
| inline

Return safe iteration space distance.

Definition at line 4498 of file OpenMPClause.h.

Referenced by OMPIsDevicePtrClause::CreateEmpty(), clang::TreeTransform< Derived >::TransformOMPExecutableDirective(), and clang::OMPClauseWriter::VisitOMPClauseWithPostUpdate().

## ◆ getLParenLoc()

SourceLocation OMPGrainsizeClause::getLParenLoc | ( |  | ) | const
| inline

Returns the location of '('.

Definition at line 4495 of file OpenMPClause.h.

Referenced by clang::TreeTransform< Derived >::TransformOMPExecutableDirective(), and clang::OMPClauseWriter::VisitOMPClauseWithPostUpdate().

## ◆ setLParenLoc()

void OMPGrainsizeClause::setLParenLoc | ( | SourceLocation | Loc | ) |
| inline

Sets the location of '('.

Definition at line 4492 of file OpenMPClause.h.

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 4465 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h